/* -*- mode: c++; c-basic-offset: 4; -*- */

#include "epoch.hh"
#include <cstdlib>
#include <iostream>

using namespace std;
using namespace sends;

epoch
epoch::parse(const char* str, const char** pptr) {
  char* prop = 0;
  epoch epic;
  gps_type start=strtoul(str, &prop, 0);
  if (*prop == ':') {
    gps_type dt = strtoul(prop, &prop, 0);
    epic = epoch(start, start+dt);
  }
  else if (*prop == '-') {
    gps_type end = strtoul(prop, &prop, 0);
    epic = epoch(start, end);
  }
  else {
  }
  if (pptr) *pptr = prop;
  return epic;
}

std::ostream& 
sends::operator<<(std::ostream& out, const epoch& epic) {
    return out << epic.start() << ":" << epic.duration();
}
